Workspaces

Retrieve workspace

GET

https://api.typeform.com/workspaces/{workspace_id}

Retrieve a workspace.

Request

Path Parameters

  • workspace_id
    string, required
    Unique ID for the workspace.

Response

Status

  • 200 OK

Schema

  • account_id
    string
    ID in the ULID format of the account where workspace belongs to.

  • formsPath
    object

    • count
      integer
      Number of typeforms in the workspace.
    • href
      string
      Link to typeforms in the workspace.
    • id
      string
      Unique identifier for the workspace.
    • name
      string
      Name of the workspace.
  • selfPath
    object

    • href
      string
      Link to the workspace.
  • shared
    boolean
    If the workspace is shared with a team, true. Otherwise, false.

  • membersPath
    array of object

    • email
      string
    • name
      string
    • role
      string
      Valid values: owner, member